Summary:	A caching pam module for disconnected operation
Name:		pam_ccreds
Version:	10
Release:	%mkrel 19
Source: 	https://www.padl.com/download/%{name}-%{version}.tar.gz
Patch0:		pam_ccreds-10-dbnss.patch
Patch1:		pam_ccreds-strdup.patch
Patch2:		pam_ccreds-10-automake-1.13.patch
Group:		System/Libraries
License:	GPLv2
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	db5-devel
Url:		https://www.padl.com/

%description
The pam_ccreds module provides a mechanism for caching
credentials when authenticating against a network
authentication service, so that authentication can still
proceed when the service is down. Note at present no
mechanism is provided for caching _authorization_ 
information, i.e. whether you are allowed to login once
authenticated. Doing this is more difficult than it
first sounds.

%prep
%setup -q
rm -f acconfig.h
%patch -P 0 -p1 -b .dbnss
%patch -P 1 -p1 -b .strdup
%patch -P 2 -p1

%build
autoreconf -fi
%configure --libdir=/%{_lib}
%__make

%install
mkdir -p %{buildroot}/%{_lib}/security
mkdir -p %{buildroot}/%{_sbindir}
install pam_ccreds.so %{buildroot}/%{_lib}/security
install cc_dump cc_test %{buildroot}/%{_sbindir}
install ccreds_chkpwd %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/var/cache
touch %{buildroot}/var/cache/.security.db

%files
%doc AUTHORS README ChangeLog pam.conf
%attr(4755,root,root) %{_sbindir}/ccreds_chkpwd
%{_sbindir}/cc_dump
%{_sbindir}/cc_test
/%{_lib}/security/pam_ccreds.so
%ghost /var/cache/.security.db

%post
if [ ! -f /var/cache/.security.db ]; then
%{_sbindir}/cc_test -update any root - > /dev/null 2>/dev/null || :
fi


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 10-19.mga10
+ Revision: 2128009
- Rebuild for patchN deprecation

* Sun Mar 27 2022 umeabot <umeabot> 10-18.mga9
+ Revision: 1829281
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 10-17.mga9
+ Revision: 1747796
- rebuild for openssl 3.0.0

* Fri Feb 14 2020 umeabot <umeabot> 10-16.mga8
+ Revision: 1515821
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 10-15.mga7
+ Revision: 1300091
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use __make

* Tue Sep 05 2017 tv <tv> 10-14.mga7
+ Revision: 1151461
- BR db5-devel
- rebuild without db5_nss-devel

* Mon Feb 08 2016 umeabot <umeabot> 10-13.mga6
+ Revision: 947448
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 10-12.mga5
+ Revision: 750220
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 10-11.mga5
+ Revision: 683317
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 10-10.mga4
+ Revision: 530919
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 10-9.mga4
+ Revision: 460982
- use autoreconf

* Sun Jan 13 2013 umeabot <umeabot> 10-8.mga3
+ Revision: 362370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 10-7.mga3
+ Revision: 340727
- fix for automake 1.13

* Tue Jul 31 2012 fwang <fwang> 10-6.mga3
+ Revision: 276300
- rebuild for db-5.3

* Wed Jul 25 2012 fwang <fwang> 10-5.mga3
+ Revision: 274167
- rebuild for db 5.2

* Tue Mar 08 2011 ennael <ennael> 10-4.mga1
+ Revision: 66417
- imported package pam_ccreds

